%define upstream_name    Test-Mock-LWP
%define upstream_version 0.08

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Mocks LWP::UserAgent
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz
# Fix building on Perl without "." in @INC, CPAN RT#121706
Patch0:         Test-Mock-LWP-0.08-Fix-building-on-Perl-without-.-in-INC.patch

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::MockObject) >= 1.80.0
BuildRequires: perl(Test::More) >= 0.420.0
BuildArch:  noarch

%description
This package arises from duplicating the same code to mock LWP et al in
several different modules I've written. This version is very minimalist,
but works for my needs so far. I'm very open to new suggestions and
improvements.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0.80.0-10.mga9
+ Revision: 1810353
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.80.0-9.mga8
+ Revision: 1506428
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.80.0-8.mga7
+ Revision: 1286673
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.80.0-7.mga7
+ Revision: 1166807
- rebuild with fixed rpm for missing autodeps

* Fri Sep 15 2017 tv <tv> 0.80.0-6.mga7
+ Revision: 1154095
- Fix building on Perl without "." in @INC (CPAN RT#121706)

* Sun Jun 19 2016 pterjan <pterjan> 0.80.0-5.mga6
+ Revision: 1034347
- Rebuild for perl 5.22.2

* Mon Feb 01 2016 umeabot <umeabot> 0.80.0-4.mga6
+ Revision: 929877
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.80.0-3.mga5
+ Revision: 746970
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.80.0-2.mga5
+ Revision: 686487
- Mageia 5 Mass Rebuild

* Fri Feb 07 2014 sander85 <sander85> 0.80.0-1.mga5
+ Revision: 585176
- update to 0.08

* Fri Oct 18 2013 umeabot <umeabot> 0.60.0-3.mga4
+ Revision: 515321
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.60.0-2.mga3
+ Revision: 373613
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ jquelin <jquelin>
- update to 0.06

* Sat Jan 22 2011 jquelin <jquelin> 0.50.0-1.mga1
+ Revision: 32453
- mageia rebuild
- imported package perl-Test-Mock-LWP


* Wed May 05 2010 Michael Scherer <misc@mandriva.org> 0.50.0-1mdv2010.1
+ Revision: 542636
- import perl-Test-Mock-LWP


* Wed May 05 2010 cpan2dist 0.05-1mdv
- initial mdv release, generated with cpan2dist
